
package Mail::SpamAssassin::CompiledRegexps::body_0;

use strict;
use vars qw($VERSION @ISA @EXPORT_OK);

use DynaLoader ();

BEGIN {
$VERSION = '1.0';
@ISA = qw(DynaLoader);
@EXPORT_OK = qw();

our $HAS_RULES = {
    q#ACT_NOW_CAPS# => q#/A(?i:ct) N(?i:ow)/#,
  q#BAD_CREDIT# => q#/\b(?:bad|poor|no\b|eliminate|repair|(?:re)?establish|damag).{0,10} (?:credit|debt)\b/i#,
  q#BANG_GUAR# => q#/\bguaranteed?\!/i#,
  q#BANG_OPRAH# => q#/\boprah!/i#,
  q#BANKING_LAWS# => q#/banking laws/i#,
  q#BILLION_DOLLARS# => q#/[BM]ILLION DOLLAR/#,
  q#BODY_ENHANCEMENT# => q#/\b(?:enlarge|increase|grow|lengthen|larger\b|bigger\b|longer\b|thicker\b|\binches\b).{0,50}\b(?:penis|male organ|pee[ -]?pee|dick|sc?hlong|wh?anger|breast(?!\s+cancer))/i#,
  q#BODY_ENHANCEMENT2# => q#/\b(?:penis|male organ|pee[ -]?pee|dick|sc?hlong|wh?anger|breast(?!\s+cancer)).{0,50}\b(?:enlarge|increase|grow|lengthen|larger\b|bigger\b|longer\b|thicker\b|\binches\b|size)/i#,
  q#CUM_SHOT# => q#/\bcum[ -]?shots?\b/i#,
  q#CURR_PRICE# => q#/\bCurrent Price:/#,
  q#DEAR_SOMETHING# => q#/\bDear (?:IT\W|Internet|candidate|sirs?|madam|investor|travell?er|car shopper|web)\b/i#,
  q#DEAR_WINNER# => q#/\bdear.{1,20}winner/i#,
  q#DIET_1# => q#/\b(?:(?:without|no) (?:exercis(?:e(?! price)|ing)|dieting)|weight.?loss|(?:extra|lose|lost|losing).{0,10}(?:pounds|weight|inches|lbs)|burn.{1,10}fat)\b/i#,
  q#DOS_PROVISION4# => q#/\bProvisionfor income taxes\b/#,
  q#DOS_REPORT_FIN_INC# => q#/\bReport of financial income\b/#,
  q#DOS_STOCK_CDYV_GENERIC# => q#/(?:Lookup|Sym8oL|Search for|Promoting sym|S\.umbol|Target sym|Campaign for): [A-Z]{4},?.{1,50}\b[Pp]rice/#,
  q#DRUGS_SMEAR1# => q#/(?:Viagra|Valium|Xanax|Soma|Cialis){2}/i#,
  q#DRUG_ED_CAPS# => q#/\b(?:CIALIS|LEVITRA|VIAGRA)/#,
  q#DRUG_ED_GENERIC# => q#/\bGeneric Viagra\b/#,
  q#DRUG_ED_ONLINE# => q#/\bviagra .{0,25}(?:express|online|overnight)/i#,
  q#DRUG_ED_SILD# => q#/\bsildenafil\b/i#,
  q#EM_ROLEX# => q#/[^\s\w.]rolex/i#,
  q#EXCUSE_24# => q#/you(?:'ve|'re| have| are)? receiv(?:e|ed|ing) this (?:advertisement|offer|special|recurring|paid).{0,16}\b(?:by either|because)/i#,
  q#EXCUSE_4# => q#/To Be Removed,? Please/i#,
  q#EXCUSE_REMOVE# => q#/to be removed from.{0,20}(?:mailings|offers)/i#,
  q#FB_ADD_INCHES# => q#/(?:add|gain) inches/i#,
  q#FB_ANA_TRIM# => q#/Ana[^a-z]trim/i#,
  q#FB_C0MPANY# => q#/c0mpany/i#,
  q#FB_CAN_LONGER# => q#/can last longer/i#,
  q#FB_EMAIL_HIER# => q#/email hier/i#,
  q#FB_EXTRA_INCHES# => q#/extra inches/#,
  q#FB_FHARMACY# => q#/Fharmacy/i#,
  q#FB_FORWARD_LOOK# => q#/(?!forward look)f[o0]rward l[0o][0o]k/i#,
  q#FB_GET_MEDS# => q#/(?:place f[o0]r|[0o]rder|get\s?(?:y[o0]ur)?|online|quality).{1,7}med[isz][^a]/i#,
  q#FB_GVR# => q#/(?:pef-rx|vigrex-ds|gsc-100|vp-rx|gv-promax|phentermine|adipex|xenical)/i#,
  q#FB_HEY_BRO_COMMA# => q#/Hey bro, /#,
  q#FB_HG_H_CAP# => q#/\bHGH\b/#,
  q#FB_HOMELOAN# => q#/\$\d{3},\d{3} home loan/i#,
  q#FB_IMPRESS_GIRL# => q#/\bimpress .{0,5}girl\b/#,
  q#FB_INCREASE_YOUR# => q#/Increase your energy/i#,
  q#FB_INDEPEND_RWD# => q#/independent reward/i#,
  q#FB_L0AN# => q#/\bl0ans?\b/i#,
  q#FB_LETTERS_21B# => q#/-- [a-z]{21}/#,
  q#FB_LOWER_PAYM# => q#/lower your monthly payments/i#,
  q#FB_MED1CAT# => q#/\bmed1cat/i#,
  q#FB_MEDS_PERCENT# => q#/meds .{3,10}\d\s?%/i#,
  q#FB_MORE_SIZE# => q#/\bmore size\b/#,
  q#FB_NO_SCRIP_NEEDED# => q#/No.{1,10}P(?:er|re)scr[i1]pt[i1][o0]n (?:needed|requ[1i]re)/i#,
  q#FB_ONIINE# => q#/oniine/i#,
  q#FB_P1LL# => q#/\bp1ll/i#,
  q#FB_PENIS_GROWTH# => q#/pen[i1]s grow(?:th)?/i#,
  q#FB_PROLONGED_HARD# => q#/(?:prolonged|increased) hardness/i#,
  q#FB_QUALITY_REPLICA# => q#/quality replica/i#,
  q#FB_REF_CODE_SPACE# => q#/r e f c o d e/i#,
  q#FB_REPLIC_CAP# => q#/REPLICAS?\b/#,
  q#FB_ROLLER_IS_T# => q#/Roller is th/i#,
  q#FB_ROLX# => q#/\brolx\b/i#,
  q#FB_SOFTTABS# => q#/\bsoft\s?t?abs\b/i#,
  q#FB_SPACED_FREE# => q#/F R E E/i#,
  q#FB_SPUR_M# => q#/\bSPUR-M\b/i#,
  q#FB_SSEX# => q#/\bssex\b/#,
  q#FB_STOCK_EXPLODE# => q#/st[0o]ck\b.{4,10}expl[o0]de/i#,
  q#FB_SYMBLO# => q#/\bSymblo\b/i#,
  q#FB_THIS_ADVERT# => q#/this advertiser/i#,
  q#FB_THOUS_PERSONAL# => q#/thousand personal/i#,
  q#FB_TO_STOP_DISTRO# => q#/To (?:(?:stop further|longer get) distribution|stop (?:receiving )?announcements)/i#,
  q#FB_ULTRA_ALLURE# => q#/Ultra Allure/i#,
  q#FB_UNLOCK_YOUR_G# => q#/lock ?(?:to ?)? your girlfriend/i#,
  q#FB_UNRESOLV_PROV# => q#/\{PROV_\d_\d\}/#,
  q#FB_YOURSELF_MASTER# => q#/yourself master/i#,
  q#FB_YOUR_REFI# => q#/Your refi/i#,
  q#FIN_FREE# => q#/\bfinancial(?:ly)? free/i#,
  q#FORWARD_LOOKING# => q#/\bcontains forward-looking statements\b/i#,
  q#FREE_PORN# => q#/\bfree (?:porn|xxx|adult)/i#,
  q#FREE_QUOTE_INSTANT# => q#/free.{0,12}(?:(?:instant|express|online|no.?obligation).{0,4})+.{0,32}\bquote/i#,
  q#GTUBE# => q#/XJS\*C4JDBQADN1\.NSBN3\*2IDNEN\*GTUBE-STANDARD-ANTI-UBE-TEST-EMAIL\*C\.34X/#,
  q#GUARANTEED_100_PERCENT# => q#/100% GUARANTEED/i#,
  q#HS_MEETUP_FOR_SEX# => q#m'(?:meet ?up|see eachother|get together) for (?:some )?(?:action|sex)'i#,
  q#IMPOTENCE# => q#/\b(?:impotence (?:problem|cure|solution)|Premature Ejaculation|erectile dysfunction)/i#,
  q#INVESTMENT_ADVICE# => q#/\binvestment advice/i#,
  q#JOIN_MILLIONS# => q#/\bjoin (?:millions|thousands)\b/i#,
  q#LIVE_PORN# => q#/\blive .{0,9}(?:fuck(?:ing)?|sex|naked|girls?|virgins?|teens?|porno?)\b/i#,
  q#LONG_TERM_PRICE# => q#/long\W+term\W+(target|projected)(\W+price)?/i#,
  q#LOOPHOLE_1# => q#/loop-?hole in the banking/i#,
  q#LOW_PRICE# => q#/\blow.{0,4} (?-i:P)rice/i#,
  q#MALE_ENHANCE# => q#/male enhancement/i#,
  q#MARKETING_PARTNERS# => q#/\b(?:marketing|network) partner|\bpartner (?:web)?site/i#,
  q#MILLION_USD# => q#/Million\b.{0,40}\b(?:United States? Dollars?|USD)/i#,
  q#MONEY_BACK# => q#/money back guarantee/i#,
  q#MORE_SEX# => q#/increased?.{0,9}(?:sex|stamina)/i#,
  q#NA_DOLLARS# => q#/\b(?:\d{1,3})?Million\b.{0,40}\b(?:Canadian Dollar?s?|US\$|U\.? ?S\.? Dollar)/i#,
  q#NOT_ADVISOR# => q#/not a registered investment advisor/i#,
  q#NO_MEDICAL# => q#/\bno medical exam/i#,
  q#NO_PRESCRIPTION# => q#/no.{1,10}P(?:er|re)scription.{1,10}(?:needed|require|necessary)/i#,
  q#ONE_TIME# => q#/\bone\W+time (?:charge|investment|offer|promotion)/i#,
  q#ONLINE_PHARMACY# => q#/\bonline pharmacy|\b(?:drugs|medications) online/i#,
  q#PREST_NON_ACCREDITED# => q#/prestigi?ous\b.{0,20}\bnon-accredited\b.{0,20}\buniversities/i#,
  q#PRICES_ARE_AFFORDABLE# => q#/\baffordable .{0,10}prices\b/i#,
  q#REFINANCE_NOW# => q#/time to refinance|refinanc\w{1,3}\b.{0,16}\bnow\b/i#,
  q#REFINANCE_YOUR_HOME# => q#/\brefinance your(?: current)? (?:home|house)\b/i#,
  q#REMOVE_BEFORE_LINK# => q#m{(?:no thanks|not interested|unsubscribe here).{0,5}http://}i#,
  q#REPLICA_WATCH# => q#/\breplica.{1,20}rolex/i#,
  q#SHORT_TERM_PRICE# => q#/short\W+term\W+(target|projected)(\W+price)?/i#,
  q#STOCK_ALERT# => q#/\bstock alert/i#,
  q#STRONG_BUY# => q#/strong buy/i#,
  q#TVD_ACT_193# => q#/\bact of (?:193|nineteen thirty)/i#,
  q#TVD_APPROVED# => q#/you.{1,2}re .{0,20}approved/i#,
  q#TVD_APP_LOAN# => q#/approved .{0,20}loan/i#,
  q#TVD_INCREASE_SIZE# => q#/\bsize of .{1,20}(?:penis|dick|manhood)/i#,
  q#TVD_LINK_SAVE# => q#/\blink to save\b/i#,
  q#TVD_PH_BODY_ACCOUNTS_PRE# => q#/\baccounts? (?:[a-z_,-]+ )+?(?:record[a-z]*|suspen[a-z]+|notif(?:y|ication)|updated|verifications?|credited)\b/i#,
  q#TVD_PH_REC# => q#/\byour .{0,40}account .{0,40}record/i#,
  q#TVD_PH_SEC# => q#/\byour .{0,40}account .{0,40}security/i#,
  q#TVD_QUAL_MEDS# => q#/\bquality med(?:ication)?s\b/i#,
  q#TVD_SECTION# => q#/\bSection (?:27A|21B)/i#,
  q#TVD_VISIT_PHARMA# => q#/Online Ph.rmacy/i#,
  q#UNCLAIMED_MONEY# => q#/\bunclaimed (?:funds|money|prizes?|rewards?)\b/i#,
  q#URG_BIZ# => q#/urgent.{0,16}(?:assistance|business|buy|confidential|notice|proposal|reply|request|response)/i#,
  q#VIA_GAP_GRA# => q#/\bvia.gra\b/i#,
  q#__APPROVALFVGT# => q#/approval/i#,
  q#__BACHELORS# => q#/Bachelor/i#,
  q#__BOUNCE_NEVER_SEE# => q#/\bThis is an autoresponder. I'll never see your message\b/i#,
  q#__BOUNCE_NONWORKING# => q#/\bYou have reached a non.?working address.  Please check\b/i#,
  q#__BOUNCE_NO_RESEND# => q#/\bPlease do not resend your original message\./#,
  q#__BOUNCE_OOO_1# => q#/\bI(?:.m| am| will be|.ll be) (?:(?:out of|away from) the office|on vacation) (?:from|to|until|after)\b/i#,
  q#__BOUNCE_OOO_2# => q#/\bI ?.m away until .{10,20} and am unable to read your message\b/#,
  q#__BOUNCE_OOO_3# => q#/\bI am currently out of the office\b/#,
  q#__CASHPRZ# => q#/cash prize of/#,
  q#__DBLCLAIM# => q#/avoid double claiming/#,
  q#__DIPLOMA# => q#/diploma/i#,
  q#__DOS_BODY_FRI# => q#/\bfri(?:day)?\b/i#,
  q#__DOS_BODY_MON# => q#/\bmon(?:day)?\b/i#,
  q#__DOS_BODY_SAT# => q#/\bsat(?:day)?\b/i#,
  q#__DOS_BODY_STOCK# => q#/\bstock\b/i#,
  q#__DOS_BODY_SUN# => q#/\bsun(?:day)?\b/i#,
  q#__DOS_BODY_THU# => q#/\bthu(?:r(?:s(?:day)?)?)?\b/i#,
  q#__DOS_BODY_TICKER# => q#/\b[A-Z]{4}\.(?:OB|PK)\b/#,
  q#__DOS_BODY_TUE# => q#/\btue(?:s(?:day)?)?\b/i#,
  q#__DOS_BODY_WED# => q#/\bwed(?:nesday)?\b/i#,
  q#__DOS_CORRESPOND_EMAIL# => q#/correspond with me using my email/#,
  q#__DOS_DROP_ME_A_LINE# => q#/Drop me a line at/#,
  q#__DOS_EMAIL_DIRECTLY# => q#/(?:Email m[a-z]?e|address) direc(?:tl|lt)y at/#,
  q#__DOS_FIN_ADVANTAGE# => q#/\bfinancial advantage/i#,
  q#__DOS_HEADLINES# => q#/\bHeadlines\b/#,
  q#__DOS_I_AM_25# => q#/I a.?m 25/#,
  q#__DOS_I_DRIVE_A# => q#/I drive a/#,
  q#__DOS_LET_GO_JOB# => q#/I was (?:let go|fired|layed off|dismissed) from a job I h(?:el|a)d for (?:2\d years|\d{3} months)/#,
  q#__DOS_LINK# => q#/\blink\b/#,
  q#__DOS_MEET_EACH_OTHER# => q#/(?:meet each other|[Mm]ay ?be we can meet)/#,
  q#__DOS_MY_OLD_JOB# => q#/my old job/#,
  q#__DOS_PERSONAL_EMAIL# => q#/personal email at/#,
  q#__DOS_STEADY_COURSE# => q#/\bsteady (?:and increasing )?course\b/i#,
  q#__DOS_STRONG_CF# => q#/\bstrong cash flow/i#,
  q#__DOS_SYMBOL_4# => q#/\bSymbol [A-Z]{4}\b/#,
  q#__DOS_TAKING_HOME# => q#/Taking home \d (?:digit level|figures) in \d{1,2} months/#,
  q#__DOS_WRITE_ME_AT# => q#/[Ww].?r.?i.?t.?e me at/#,
  q#__DRUGS_ANXIETY2# => q#/\bAlprazolam\b/i#,
  q#__DRUGS_ANXIETY8# => q#/\bklonopin\b/i#,
  q#__DRUGS_ANXIETY9# => q#/\brivotril\b/i#,
  q#__DRUGS_ANXIETY_VAL# => q#/valium/i#,
  q#__DRUGS_ANXIETY_XAN# => q#/xan[ae]x/i#,
  q#__DRUGS_DIET3# => q#/\bbontril\b/i#,
  q#__DRUGS_DIET4# => q#/\bphendimetrazine\b/i#,
  q#__DRUGS_DIET5# => q#/\bdiethylpropion\b/i#,
  q#__DRUGS_DIET_PHEN# => q#/\bphentermine\b/i#,
  q#__DRUGS_ERECTILE2# => q#/\bV(?:agira|igara|iaggra|iaegra)\b/i#,
  q#__DRUGS_ERECTILE4# => q#/\bC(?:alis|ilias|ilais)\b/i#,
  q#__DRUGS_ERECTILE5# => q#/\b_{0,3}s[_\W]?[i1!|l\xEC-\xEF][_\W]?l[_\W]?d[_\W]?[e3\xE8-\xEB][_\W]?n[_\W]?[a4\xE0-\xE6@][_\W]?f[_\W]?[i1!|l\xEC-\xEF][_\W]?l c[_\W]?[i1!|l\xEC-\xEF][_\W]?t[_\W]?r[_\W]?[a4\xE0-\xE6@][_\W]?t[_\W]?[e3\xE8-\xEB]_{0,3}(?:\b|\s)/i#,
  q#__DRUGS_ERECTILE_C# => q#/\bCialis\b/i#,
  q#__DRUGS_ERECTILE_L# => q#/\bLevitra\b/i#,
  q#__DRUGS_ERECTILE_V# => q#/\bViagra\b/i#,
  q#__DRUGS_MUSCLE2# => q#/\b_{0,3}cycl[o0\xF2-\xF6]b[e3\xE8-\xEB]nz[a4\xE0-\xE6@]pr[i1!|l\xEC-\xEF]n[e3\xE8-\xEB]_{0,3}(?:\b|\s)/i#,
  q#__DRUGS_MUSCLE5# => q#/\bskelaxin\b/i#,
  q#__DRUGS_PAIN11# => q#/\bzebutal\b/i#,
  q#__DRUGS_PAIN12# => q#/\besgic plus\b/i#,
  q#__DRUGS_PAIN2# => q#/\b_{0,3}c[o0\xF2-\xF6]deine_{0,3}\b/i#,
  q#__DRUGS_PAIN_FIO# => q#/fioricet/i#,
  q#__DRUGS_PAIN_VICO# => q#/vicodin/i#,
  q#__DRUGS_PAIN_VIOXX# => q#/vioxx/i#,
  q#__FB_BCs# => q#/\bBSc\b/#,
  q#__FB_BRAND_NAME# => q#/brand name/i#,
  q#__FB_C_HTTP_WORD# => q#m'c[il1]a[a-z]{2,7}\shttp://'i#,
  q#__FB_DESIGNER# => q#/designer/i#,
  q#__FB_GAME# => q#/game/i#,
  q#__FB_GLASHUTE# => q#/Glashute/#,
  q#__FB_HANDBAGS# => q#/handbags/i#,
  q#__FB_HOTTEST# => q#/hottest/i#,
  q#__FB_INK_PEN# => q#/ink pen/i#,
  q#__FB_LUX_GIFTS# => q#/Luxury (?:\w+\s)?Gifts/i#,
  q#__FB_MBA# => q#/\bMBA\b/#,
  q#__FB_OMEGA# => q#/Omega/i#,
  q#__FB_PH_SPACE_HTTP# => q#m'PH[A-Za-z]{6,10}\b.{3,29}\shttp://'#,
  q#__FB_PICK# => q#/\bpick\b/i#,
  q#__FB_PROJECTED# => q#/projected/i#,
  q#__FB_P_ALLNIGHT# => q#/all night!/i#,
  q#__FB_P_TRUELOVE# => q#/true love/i#,
  q#__FB_ROLEX_MEN# => q#/Rolex Men/i#,
  q#__FB_ROLEX_WMEN# => q#/Rolex Lady/i#,
  q#__FB_S_STOCK# => q#/Stock/i#,
  q#__FB_S_SYMBOL# => q#/Symb?o?l?:\s?[A-Z_,\.-]{4,8}/i#,
  q#__FB_TIMEPIECE# => q#/timepiece/i#,
  q#__FB_V_HTTP_WORD# => q#m'v[il1]a[a-z]{2,7}\shttp://'i#,
  q#__FB_V_SPACE_HTTP# => q#m'\bv[a-z01 ]{0,3}a.{5,25}http://'i#,
  q#__FB_WALLETS# => q#/wallets/i#,
  q#__FIXED_RATEFVGT# => q#/fixed rate/i#,
  q#__FRAUD_AON# => q#/\b(?:confidential|private|alternate|alternative) (?:(?:e-? *)?mail)\b/i#,
  q#__FRAUD_AUM# => q#/\bthe desk of\b/i#,
  q#__FRAUD_AXF# => q#/magnanimity/i#,
  q#__FRAUD_BEP# => q#/\b(?:bank of nigeria|central bank of|trust bank|apex bank|amalgamated bank)\b/i#,
  q#__FRAUD_BGP# => q#/\battached to ticket number\b/i#,
  q#__FRAUD_CKF# => q#/computer ballot system/i#,
  q#__FRAUD_DPR# => q#/\b(?:(?:respond|reply) (?:urgently|immediately)|(?:urgent|immediate|earliest) (?:reply|response))\b/i#,
  q#__FRAUD_ETX# => q#/\byour\b[^.]{0,99}\b(?:contact (?:details|information)|private (?:e?[- ]?mail|telephone|tel|phone|fax))\b/i#,
  q#__FRAUD_EZY# => q#/\b(?:of|the) late president\b/i#,
  q#__FRAUD_FBI# => q#/\bdisburs/i#,
  q#__FRAUD_FCW# => q#/fiduciary agent/i#,
  q#__FRAUD_FVU# => q#/award notification/i#,
  q#__FRAUD_GBW# => q#/god gives .{1,10}second chance/i#,
  q#__FRAUD_IOU# => q#/\b(?:no risks?|risk-? *free|free of risks?|100% safe)\b/i#,
  q#__FRAUD_IPK# => q#/\b(?:in|to|visit) your country\b/i#,
  q#__FRAUD_IRJ# => q#/(?:finance|holding|securit(?:ies|y)) (?:company|firm|storage house)/i#,
  q#__FRAUD_IRT# => q#/\b(?:compliments? of the|dear friend|dear sir|yours faithfully|season'?s greetings)\b/i#,
  q#__FRAUD_JBU# => q#/\bforeign account\b/i#,
  q#__FRAUD_JNB# => q#/\boperat(?:e|ing)\b[^.]{0,99}\b(?:for(?:ei|ie)gn|off-? ?shore|over-? ?seas?) (?:bank )?accounts?\b/i#,
  q#__FRAUD_JYG# => q#/\bgive\s+you .{0,15}(?:fund|money|total|sum|contact|percent)\b/i#,
  q#__FRAUD_KJV# => q#/(?:claim|concerning) (?:the|this) money/i#,
  q#__FRAUD_LTX# => q#/\bmilli?on (?:.{1,25} thousand\s*)?(?:(?:united states|u\.?s\.?) dollars|(?i:U\.?S\.?D?))\b/i#,
  q#__FRAUD_MCQ# => q#/\btransaction\b.{1,30}\b(?:magnitude|diplomatic|strict|absolute|secret|confiden(?:tial|ce)|guarantee)/i#,
  q#__FRAUD_MLY# => q#/\b(?:reply|respond)\b[^.]{0,50}\b(?:to|through)\b[^.]{0,50}\@\b/i#,
  q#__FRAUD_MQO# => q#/foreign (?:business partner|customer)/i#,
  q#__FRAUD_NEB# => q#/(?:government|bank) of nigeria/i#,
  q#__FRAUD_NRG# => q#/i am contacting you/i#,
  q#__FRAUD_PTS# => q#/\b(?:ass?ass?inat(?:ed|ion)|murder(?:e?d)?|kill(?:ed|ing)\b[^.]{0,99}\b(?:war veterans|rebels?))\b/i#,
  q#__FRAUD_PVN# => q#/as the beneficiary/i#,
  q#__FRAUD_QFY# => q#/\bover-? *(?:invoiced?|cost(?:s|ing)?)\b/i#,
  q#__FRAUD_QXX# => q#/\b(?:my name is|i am) (?:mrs?|engr|barrister|dr|prince(?:ss)?)[. ]/i#,
  q#__FRAUD_RLX# => q#/lott(?:o|ery) (?:co,?ordinator|international)/i#,
  q#__FRAUD_SNT# => q#/\blocate(?: .{1,20})? extended relative/i#,
  q#__FRAUD_TCC# => q#/foreign (?:offshore )?(?:bank|account)/i#,
  q#__FRAUD_TDP# => q#/\b(?:business partner(?:s|ship)?|silent partner(?:s|ship)?)\b/i#,
  q#__FRAUD_THJ# => q#/modalit(?:y|ies)/i#,
  q#__FRAUD_ULK# => q#/\baffidavits?\b/i#,
  q#__FRAUD_UOQ# => q#/vital documents/i#,
  q#__FRAUD_UUY# => q#/\blegitimate business(?:es)?\b/i#,
  q#__FRAUD_WDR# => q#/\bprivate lawyer\b/i#,
  q#__FRAUD_WFC# => q#/\bsecur(?:e|ing) (?:the )?(?:funds?|monies)\b/i#,
  q#__FRAUD_WNY# => q#/\b(?:disburse?(?:ment)?|incurr?(?:ed)?|remunerr?at(?:ed?|ion)|remm?itt?(?:ed|ance|ing)?)\b/i#,
  q#__FRAUD_XJR# => q#/(?:who was a|as a|an? honest|you being a|to any) foreigner/i#,
  q#__FRAUD_XVW# => q#/\bhonest cooperation\b/i#,
  q#__FRAUD_YJA# => q#/over-invoice/i#,
  q#__FRAUD_YPO# => q#/the total sum/i#,
  q#__FRAUD_YQV# => q#/nigerian? (?:national|government)/i#,
  q#__FRAUD_YWW# => q#/\bfurnish you with\b/i#,
  q#__FRAUD_ZFJ# => q#/\b(?:wife|son|brother|daughter) of the late\b/i#,
  q#__HOMELOANFVGT# => q#/home loan/i#,
  q#__ISO_2022_JP_DELIM# => q#/\e\$B/#,
  q#__JAPANESE_UCE_BODY# => q#/(?:L\$>5Bz|EE;R%a!<%k)(?:8x|9-)9p/#,
  q#__KAM_LOTTO1# => q#/(e-?mail address (have emerged a winner|has won|attached to (ticket|reference)|was one of the ten winners)|random selection in our computerized email selection system)/is#,
  q#__KAM_LOTTO2# => q#/((ticket|serial|lucky) number|secret pin ?code|batch number|reference number|promotion date)/is#,
  q#__KAM_LOTTO3# => q#/(won|claim|cash prize|pounds? sterling)/is#,
  q#__KAM_LOTTO4# => q#/(claims (officer|agent)|lottery coordinator|fiduciary (officer|agent)|fiduaciary claims)/is#,
  q#__KAM_LOTTO5# => q#/(freelotto group|Royal Heritage Lottery|UK National (Online)? Lottery|U\.?K\.? Grand Promotions|Lottery Department UK|Euromillion Loteria|Luckyday International Lottery|International Lottery)/is#,
  q#__KAM_LOTTO6# => q#/(Dear Lucky Winner|Winning Notification|Attention:Winner|Dear Winner)/is#,
  q#__MASTERS# => q#/Masters/i#,
  q#__MBA# => q#/MBA/i#,
  q#__PHD# => q#/PhD/i#,
  q#__PREAPPROVEDFVGT# => q#/pre-approved/i#,
  q#__RUDE_HTML_1# => q#/Get a capable html e-mailer/i#,
  q#__RUDE_HTML_2# => q#/not support the display of HTML. Please view this message in a different/i#,
  q#__RUDE_HTML_3# => q#/This message contains an HTML formatted message but your email client does/i#,
  q#__RUDE_HTML_4# => q#/Your mailer do not support HTML messages. Switch to a better mailer/i#,
  q#__VBOUNCE_AMAVISD2# => q#/\bV I R U S\b/#,
  q#__VBOUNCE_AOL# => q#/TRANSACTION FAILED - Unrepairable Virus Detected. /#,
  q#__VBOUNCE_ATTACHMENT0# => q#/(?:Attachment.{0,40}was Deleted|Virus.{1,40}was found|the infected attachment)/i#,
  q#__VBOUNCE_ATT_QUAR# => q#/\bThe attachment was quarantined\b/#,
  q#__VBOUNCE_AVREPORT0# => q#/(antivirus system report|the antivirus module has|illegal attachment|Unrepairable Virus Detected)/i#,
  q#__VBOUNCE_CLICKBANK# => q#/\bvirus scanner deleted your message\b/i#,
  q#__VBOUNCE_DUTCH# => q#/bevatte bijlage besmet welke besmet was met een virus/#,
  q#__VBOUNCE_EXIM# => q#/a potentially executable attachment /#,
  q#__VBOUNCE_GUIN# => q#/message contains file attachments that are not permitted/#,
  q#__VBOUNCE_MAILMARSHAL# => q#/Mail.?Marshal Rule: Inbound Messages : Block Dangerous Attachments/#,
  q#__VBOUNCE_MAILSWEEP# => q#/MAILsweeper has found that a \S+ \S+ \S+ \S+ one or more virus/#,
  q#__VBOUNCE_MAILSWEEP2# => q#/\bblocked by Mailsweeper\b/i#,
  q#__VBOUNCE_QUOTED_EXE# => q#/> TVqQAAMAAAAEAAAA/#,
  q#__VBOUNCE_REJ_FILT# => q#/Reason: Rejected by filter/#,
  q#__VBOUNCE_SECURIQ# => q#/\bGROUP securiQ.Wall\b/#,
  q#__VBOUNCE_SMTP# => q#/host \S+ said: 5\d\d\s+Error: Message content rejected/#,
  q#__VBOUNCE_STRIP_ATTACH# => q#/\bhas stripped one or more attachments from the following message\b/#,
  q#__VBOUNCE_VALERT# => q#/The mail message \S+ \S+ you sent to \S+ contains the virus/#,
  q#__WORD_CUM# => q#/\bcum\b/i#,
  q#__WORD_RAPED# => q#/\braped?\b/i#,
  q#__WORD_SEX# => q#/\bsex(?:iest|y)?\b/i#,
  q#__WORD_SLUTS# => q#/\bsluts?\b/i#,
  q#__WORD_SPERM# => q#/\bsperm\b/i#,
  q#__YOUR_ACCOUNT# => q#/your account/i#,
  q#__YOUR_CREDITFVGT# => q#/your credit/i#,

};

bootstrap Mail::SpamAssassin::CompiledRegexps::body_0 $VERSION;
}

1;
__END__

=head1 NAME

Mail::SpamAssassin::CompiledRegexps::body_0 - Efficient string matching for regexps found in bases_body_0.in

=head1 SYNOPSIS

  use Mail::SpamAssassin::CompiledRegexps::body_0;
  
  ...
  my $match = Mail::SpamAssassin::CompiledRegexps::body_0::scan($string);

=head1 DESCRIPTION

This module was created by SpamAssassin with the aid of re2xs, which uses re2c
to create an XS library capable of scanning through a bunch of regular
expressions as defined in F<bases_body_0.in>.

See C<sa-compile> for more details.

=cut
